lximage-qt (2.0.1-1~exp2) experimental; urgency=medium

  * debian/control: fix description.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 15:13:40 +0200

lximage-qt (2.0.1-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.1
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: bump dep qt5-image-formats-plugins -> qt6-image-
    formats-plugins
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on libfm-qt-dev (>= 2.0.2~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 22 Sep 2024 13:57:05 +0200

lximage-qt (1.4.0-3) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078289)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 08 Sep 2024 13:29:41 +0200

lximage-qt (1.4.0-2) unstable; urgency=medium

  * Merge to unstable.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 10 May 2024 07:29:24 +0800

lximage-qt (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0.
  * debian/control: build-deps on libfm-qt-dev (>= 1.4.0~).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Dec 2023 15:11:11 +0100

lximage-qt (1.3.0-3) unstable; urgency=medium

  * Suppress blhc errors.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Sep 2023 23:33:08 +0800

lximage-qt (1.3.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Jul 2023 09:04:53 +0800

lximage-qt (1.3.0-1) experimental; urgency=medium

  * New upstream releases.
  * Bump Standards-Version to 4.6.2.
  * Change team email to <team+lxqt@tracker.debian.org>.
  * Update d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 19 Jun 2023 18:33:39 +0800

lximage-qt (1.2.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 02 Dec 2022 13:16:18 +0800

lximage-qt (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove unnecessary patch.
  * Fix d/watch for GitHub.
  * Sort d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 30 Nov 2022 22:07:50 +0800

lximage-qt (1.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + lximage-qt-l10n: Drop versioned constraint on lximage-qt in Replaces.
    + lximage-qt-l10n: Drop versioned constraint on lximage-qt in Breaks.

  [ Andrew Lee (李健秋) ]
  * debian/changelog: clean triming whitespaces.
  * debian/control: Bumped Standards-Version to 4.6.1, no changes needed.
  * Reorganize changes from experimental:
    * debian/copyright: update. fetched from experimental branch.
    * debian/lintian-overrides: fix overrides for no-manual-page.
    * Upstreamed patches directory
    * Upstreamd signing key
    * debian/lximage-qt.install: ship lximage-qt.metainfo.xml.
  * debian/lximage-qt.install: sort shipped files.
  * debian/rules: Remove unnecessary -Wl,--as-needed.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/upstream/metadata: Change Repository-Browser field to
    Repository-Browse.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 28 Oct 2022 14:40:53 +0800

lximage-qt (1.1.0-1) experimental; urgency=medium

  [ S. 7 ]
  * New upstream release
  * Bumped Standards-Version to 4.6.0, no changes needed
  * Update debian/copyright

  [ Aaron Rainbolt ]
  * New upstream release.
  * Removed trailing whitespace from changelog.
  * Upstreamed packaging changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - lintian-overrides
    - lximage-qt.install
    - rules
    - upstream/*
    - patches directory

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 13 Jul 2022 19:06:28 -0500

lximage-qt (1.0.0-1) unstable; urgency=medium

  [ S. 7 ]
  * New upstream release
  * Bumped Standards-Version to 4.6.0, no changes needed
  * Update debian/copyright

  [ Aaron Rainbolt ]
  * New upstream release.
  * Removed trailing whitespace from changelog.
  * Upstreamed packaging changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - lintian-overrides
    - lximage-qt.install
    - rules
    - upstream/*
    - patches directory

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 13 Jul 2022 19:06:28 -0500

lximage-qt (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #978178)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 18:12:17 +0800

lximage-qt (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.14.1.
  * Bumped minimum version libfm-qt-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 01:15:27 +0100

lximage-qt (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Bumped minimum version libfm-qt-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 15:45:53 +0100

lximage-qt (0.7.0-2) unstable; urgency=medium

  * Switch to unstable
  * Bumped build dependency libfm-qt-def to >= 0.13.1~
  * Bumped Standards to 4.1.5, no changes  needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jul 2018 13:20:23 +0200

lximage-qt (0.7.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.7.0.
  * Removed build dependency libfm-dev
  * Removed build dependency libmenu-cache-dev
  * Bumped build dependency libfm-qt-def to >= 0.13.0~
  * Bumped build dependency lxqt-build-tools to >= 0.5.0~
  * Moved debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 19:36:29 +0200

lximage-qt (0.6.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 12:36:49 +0200

lximage-qt (0.6.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 17:28:58 +0100

lximage-qt (0.6.0-2) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 20:25:33 +0100

lximage-qt (0.6.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.6.0.
  * Switched to experimental
  * Bumped libfm-qt-dev to >=0.12.0
  * Bumped build-tools to >= 0.4.0
  * Bumped Standards to 4.1.1
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 23:03:31 +0200

lximage-qt (0.5.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.5.1.
  * Removed build dependencies:
    - cmake
    - liblxqt0-dev
    - libqt5xdg-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped minimum version libfm-qt-dev (>= 0.11.2)
  * Added build dependency lxqt-build-tools (>= 0.3.0)

 -- Alf Gaida <agaida@siduction.org>  Thu, 22 Dec 2016 02:59:30 +0100

lximage-qt (0.5.0-4) unstable; urgency=medium

  * Fixes Recommends lxqtimage-qt-l10n to lximage-qt-l10n
    Thanks Armin Haas <armin@awawa.de> (Closes: #841426)

 -- Alf Gaida <agaida@siduction.org>  Thu, 20 Oct 2016 18:08:37 +0200

lximage-qt (0.5.0-3) unstable; urgency=medium

  * Cherry-picking upstream release 0.5.0.
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version libfm-qt-dev (>= 0.11.1)
  * Added build dependency libkf5windowsystem-dev
  * Added build dependency liblxqt0-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdg-dev (>= 2.0.0)
  * Added Recommends lxqtimage-qt-l10n
  * Added Recommends qt5-image-formats-plugins
  * Fixed copyrights Format field to https
  * Dropped patches, applied upstream
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 21:40:48 +0200

lximage-qt (0.4.0+20160108-3) unstable; urgency=medium

  * Add missing patch from 0.4.0+20160108-2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 25 Feb 2016 23:50:39 +0800

lximage-qt (0.4.0+20160108-2) unstable; urgency=medium

  [ Eduard Sanou ]
  * Fix misdetection as binary input in grep when LC_ALL=C

  [ ChangZhuo Chen (陳昌倬) ]
  * Merge patch from Eduard Sanou to make reproducible build
    (Closes: #815898).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 25 Feb 2016 23:18:22 +0800

lximage-qt (0.4.0+20160108-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.4.0+20160108.
  * Removed outdated build dependency libfm-qt5-dev,
  * Added build dependencies libfm-qt-dev and libmenu-cache-dev.
  * Bump Standards to 3.9.7
  * Changed the VCS-fields to https://
  * Fix Years in copyright
  * Enable hardening=+all

 -- Alf Gaida <agaida@siduction.org>  Sun, 07 Feb 2016 22:55:06 +0100

lximage-qt (0.4.0+20151117-2) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 17:26:11 +0100

lximage-qt (0.4.0+20151117-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.4.0+201511117.
  * Added lintian-overrride
  * Fixed VCS-Fields
  * Removed not used GPL2 from copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 19 Nov 2015 19:57:17 +0100

lximage-qt (0.4.0+20150828-2) unstable; urgency=medium

  * Add -fPIE -pie for lintian warning.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 22 Oct 2015 20:18:27 +0800

lximage-qt (0.4.0+20150828-1) unstable; urgency=medium

  * Initial release (Closes: #795802)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 24 Sep 2015 18:50:12 +0800
